[package]
name = "rustboot"
version = "0.1.0"
edition = "2024"
authors = ["mtgmonkey"]

[lib]
crate-type = ["staticlib"]        # library that contains all dependencies

[dependencies]
rlibc = "1.0"
spin = "0.10"
volatile = "0.3"      # newest functional version
x86_64 = "0.15"

[dependencies.lazy_static]
version = "1.5"
features = ["spin_no_std"]

#[profile.dev]
#panic = "abort"

#[profile.release]
#panic = "abort"
